Package com.smartgwt.client.types

# Enum ReadOnlyDisplayAppearance

java.lang.Object
java.lang.Enum<ReadOnlyDisplayAppearance>
com.smartgwt.client.types.ReadOnlyDisplayAppearance

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ReadOnlyDisplayAppearance>`, `Constable`

public enum ReadOnlyDisplayAppearance extends Enum<ReadOnlyDisplayAppearance> implements ValueEnum
Dictates the appearance of form items when `FormItem.canEdit` is set to `false`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  Item will appear disabled.
  `READONLY`
  Item should appear unchanged, but user interaction to edit the item will be disallowed.
  `STATIC`
  Item value should appear within the form as a static block of text, similar to the default appearance of a `StaticTextItem`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ReadOnlyDisplayAppearance`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ReadOnlyDisplayAppearance[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATIC

    public static final ReadOnlyDisplayAppearance STATIC
    Item value should appear within the form as a static block of text, similar to the default appearance of a `StaticTextItem`. This appearance may be modified via `FormItem.readOnlyTextBoxStyle` and `FormItem.clipStaticValue`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "static".

  - ### READONLY

    public static final ReadOnlyDisplayAppearance READONLY
    Item should appear unchanged, but user interaction to edit the item will be disallowed. Note that some interactions will be allowed, such as selecting text within a read-only `TextItem` for copy and paste. Exact implementation may vary by form item type.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "readOnly".

  - ### DISABLED

    public static final ReadOnlyDisplayAppearance DISABLED
    Item will appear disabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disabled".

- ## Method Details

  - ### values

    public static ReadOnlyDisplayAppearance[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ReadOnlyDisplayAppearance valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`